Hi:

Thank you for your time and attention in advance.

I have buillt an rpm like this

Code:
narahari-test-80-1.noarch.rpm
narahari-test-81-1.noarch.rpm
When I install the narahari-test-80-1.noarch.rpm using the command

Code:
sudo zypper -vvv --non-interactive in -C narahari-test.noarch=80-1
the version 80 gets installed.

Now when I go and try

Code:
sudo zypper -vvv --non-interactive in -C narahari-test.noarch=81-1
the install goes thru fine.

However when I do
Code:
rpm -qa | grep narahari
I see only
Code:
narahari-test-81-1
As you can see the
Code:
narahari-test-80-1
is not available and it is getting removed and 81 is taking its place.

My requirement is that both of these should be available side by side

So not sure what I am doing wrong or I have understood wrong about packages

PS: If I install the rpm's directly using the
Code:
rpm -ivh <rpm name>
command, both rpm's co exist in the rpm db


Can I please get some help ?

Thank you for your time and attention in advance.

-Narahari